MEMKIND_INTERLEAVE(3)

NAME
memkind_interleave - interleave memory memkind operations.
Note: This is EXPERIMENTAL API. The functionality and the header file itself can be changed (including non-backward compatible changes) or removed.

SYNOPSIS

void memkind_interleave_init_once(void);

DESCRIPTION

memkind_interleave_init_once() initializes MEMKIND_INTERLEAVE kind and it should not be called more than once. Note: memkind_interleave_init_once() may reserve some extra memory.

COPYRIGHT
Copyright (C) 2016 - 2020 Intel Corporation. All rights reserved.

SEE ALSO
memkind(3), memkind_arena(3), memkind_default(3), memkind_hbw(3), memkind_pmem(3), jemalloc(3), mbind(2), mmap(2)